Subject: bug#77394: closed (Re: [PATCH 5/5] gnu: rdkit: Update to 2024.09.6.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 08 Apr 2025 11:30:03 +0000

Your bug report

#77394: [PATCH 0/5] Update rdkit to 2024.09.6

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77394: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77394
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH 5/5] gnu: rdkit: Update to 2024.09.6.
From: Andreas Enge <[email-masked]>
To: David Elsing <[email-masked]>
Cc: [email-masked]
Date: Tue, 8 Apr 2025 13:29:40 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello David,

I have just pushed with the few changes you suggested.

Concerning boost-with-numpy, it also needed a "name" field, since
otherwise there was a commandline collision between the two packages.
In the end I opted for "boost-numpy" for the name field and the variable
name, since we already have "boost-mpi" and it felt consistent.

Thanks, closing!

Andreas

Subject: [PATCH 0/5] Update rdkit to 2024.09.6
From: David Elsing <[email-masked]>
To: [email-masked]
Cc: David Elsing <[email-masked]>
Date: Sun, 30 Mar 2025 22:04:10 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

This patch series updates rdkit and some of its dependencies.
The build now depends on the CMake files of the NumPy extension of
Boost.Python and rdkit depends on python-numpy anyway, so I added a package
variant of boost with it enabled.

David Elsing (5):
  gnu: inchi: Update to 1.07.3.
  gnu: yaehmop: Update to 2024.03.1.
  gnu: Add boost-with-numpy.
  gnu: Add pubchem-align3d.
  gnu: rdkit: Update to 2024.09.6.

 gnu/packages/boost.scm                        |   8 +
 gnu/packages/chemistry.scm                    | 186 +++++++++++-------
 ...rdkit-unbundle-external-dependencies.patch | 183 +++++++++++++++--
 3 files changed, 291 insertions(+), 86 deletions(-)

-- 
2.48.1